Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema
Class SOMComplexRestriction

    java.lang.Object
      |
      +--com.bea.schema.SOMObject
            |
            +--com.bea.schema.SOMExtension
                  |
                  +--com.bea.schema.SOMComplexExtension
                        |
                        +--com.bea.schema.SOMComplexRestriction

public class SOMComplexRestriction
extends SOMComplexExtension

<restriction> This class acts as a wrapper to restriction elements for complexContent.

Since:
  9/1/2001
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`protected` | `SOMComplexRestriction(SOMObject parent, org.xml.sax.Attributes attrs)`
`` | `SOMComplexRestriction(SOMType base)` Constructs a new <restriction> element of a given base type.

Method Summary
`java.lang.String` | `getID()`

Methods inherited from class com.bea.schema.SOMComplexExtension
`addAll, addChild, addChoice, addGroup, addSequence, createDefault, getGroup, removeGroup, setBase, setGroup, toXML, validate`

Methods inherited from class com.bea.schema.SOMExtension
`addAnnotation, addAttribute, addAttribute, addAttribute, addAttributeGroup, contains, getAnnotation, getAttributeElements, getAttributeGroups, getAttributes, getBase, listAttributesExtended, removeAllAttributeGroups, removeAllAttributes, removeAnnotation, removeAttribute, removeAttributeGroup, setBase, toXMLChildren`

Methods inherited from class com.bea.schema.SOMObject
`addPrefixMapping, attributesToXML, collectEffectivePrefixMappings, doIndent, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, namespacePrefixesToXML, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, toString, toXML, toXML, toXML, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SOMComplexRestriction

    public SOMComplexRestriction(SOMType base)

  Constructs a new <restriction> element of a given base type.

  Parameters:
    `base` - type to be restricted.

### SOMComplexRestriction

    protected SOMComplexRestriction(SOMObject parent,
                                    org.xml.sax.Attributes attrs)

Method Detail

### getID

    public java.lang.String getID()

  Overrides:
    getID in class SOMExtension

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)